The Create Merchant API with the merchant[onboarding_type] parameter passed with the values as online to onboard merchant offline on PayU Partner Platform (Step 01 of 16). Also, includes other optional parameters to specify the latittude, longitude, business entity sub type and if a POS merchant as described in the Request Parameters table.
Reference:For the regular onboarding, refer to Create Merchant API.
Notes:
- Prerequisite: Step 00 — valid bearer token with
refer_merchantscope.- Entity applicability: All entities.
- Store
midanduuidfrom the response. The saved response for this collection item does not containproduct_account_uuid.
HTTP Method: POST
Environment
| URL | |
|---|---|
| Test Environment | https://test-partner.payu.in/api/v3/merchants |
| Production Environment | https://partner.payu.in/api/v3/merchants (not verified by the supplied Postman collection) |
Note:
merchant[product]=PayUbizis required in the supplied collection request. The supplied collection also sendsmerchant[business_details][business_entity_type]in this request.
Sample Request
Sample request
curl --location 'https://test-partner.payu.in/api/v3/merchants' \
--header 'Authorization: Bearer {{access_token}}' \
--form 'merchant[display_name]="Test Merchant"' \
--form 'merchant[email]="[email protected]"' \
--form 'merchant[mobile]="9876543210"' \
--form 'merchant[product]="PayUbiz"' \
--form 'merchant[business_details][business_entity_type]="Private Limited"'The request uses POST, the Authorization: Bearer {{access_token}} header, and multipart form-data.
Sample Response
Success scenario
Success scenario
HTTP 200 OK — saved response for the Step 01 — Create Merchant/CreateMerchant Postman item.
{
"merchant": {
"name": "PAYU PAYMENTS PRIVATE LIMITED",
"email": "[email protected]",
"registered_mobile": "6976543219",
"mid": 760070201,
"product": "PayUbiz",
"business_type": "LongTail",
"business_name": null,
"pancard_name": null,
"pancard_number": null,
"website_url": null,
"android_url": null,
"ios_url": null,
"gst_number": null,
"gst_verification_status": "Pending",
"created_at": "2026-03-02T16:36:46.000Z",
"mobile": "6976543219",
"blocked": false,
"first_name": "PAYU",
"last_name": "PAYMENTS PRIVATE LIMITED",
"bank_detail": {
"bank_account_number": null,
"ifsc_code": null,
"holder_name": null,
"nodal_code": null,
"nodal_status": null
},
"operating_address": {
"address_line": null,
"city": null,
"state": null,
"pincode": null
},
"registration_address": {
"address_line": null,
"city": null,
"state": null,
"pincode": null
},
"business_entity": "Individual",
"status": "account_created",
"partner_source": "Create Merchant API",
"pan_verification_status": "Pending",
"website_approval_status": null,
"notification_email": "[email protected]",
"settlement_status": null,
"is_service_agreement_accepted": false,
"is_authorisation_letter_required": false,
"monthly_expected_volume": null,
"business_category": null,
"business_sub_category": null,
"bank_verification_status": null,
"uuid": "11f1-1655-ff305e86-ae3d-02f4a48620c1",
"penny_deposit_status": null,
"document_status": "Pending",
"kyc_status": {
"status": "LOCKED",
"kyc_status": "LOCKED",
"ckyc_status": "PENDING"
},
"agreement_status": "Not Generated",
"integration_type": "Not Selected",
"cin_number": null,
"vkyc_exempt_status": null,
"lob_status_prerisk": null,
"dob": null,
"vkyc_status": "pending",
"vkyc": {
"status": "pending",
"completed_at": null,
"kyc_type": "video_kyc",
"capture_link": null,
"expires_at": null,
"link_created_at": null,
"consent_given": null
},
"skip_vkyc_eligible": false,
"ckyc_skipped": false,
"cpv_status": null,
"digilocker_status": null,
"ckyc_status": null,
"service_intent": "default"
}
}Failure scenario
Failure scenario
The supplied Postman item does not include a saved failure response. Any 401, 422, or other failure examples are not verified by this collection item.
Response parameters
Response parameters
The response contains a merchant object. The table below documents the fields present in the saved response. mid is the numeric merchant identifier; uuid is the merchant UUID. product_account_uuid is not present in the saved response.
| Parameter | Description | Example |
|---|---|---|
merchant.name | string — Returned in the saved merchant response. | "PAYU PAYMENTS PRIVATE LIMITED" |
merchant.email | string — Returned in the saved merchant response. | "[email protected]" |
merchant.registered_ mobile | string — Returned in the saved merchant response. | "6976543219" |
merchant.mid | integer — Numeric merchant identifier (mid). | 760070201 |
merchant.product | string — Returned in the saved merchant response. | "PayUbiz" |
merchant.business _type | string — Returned in the saved merchant response. | "LongTail" |
merchant.business _name | null — Returned in the saved merchant response. | null |
merchant.pancard _name | null — Returned in the saved merchant response. | null |
merchant.pancard _number | null — Returned in the saved merchant response. | null |
merchant.website_url | null — Returned in the saved merchant response. | null |
merchant.android_url | null — Returned in the saved merchant response. | null |
merchant.ios_url | null — Returned in the saved merchant response. | null |
merchant.gst_number | null — Returned in the saved merchant response. | null |
merchant.gst_ verification_status | string — Returned in the saved merchant response. | "Pending" |
merchant.created_at | string — Returned in the saved merchant response. | "2026-03-02T16:36: 46.000Z" |
merchant.mobile | string — Returned in the saved merchant response. | "6976543219" |
merchant.blocked | boolean — Returned in the saved merchant response. | false |
merchant.first_name | string — Returned in the saved merchant response. | "PAYU" |
merchant.last_name | string — Returned in the saved merchant response. | "PAYMENTS PRIVATE LIMITED" |
merchant.bank_ detail.bank_account_number | null — Returned in the saved merchant response. | null |
merchant.bank_ detail.ifsc_code | null — Returned in the saved merchant response. | null |
merchant.bank_ detail.holder_name | null — Returned in the saved merchant response. | null |
merchant.bank_ detail.nodal_code | null — Returned in the saved merchant response. | null |
merchant.bank_ detail.nodal_status | null — Returned in the saved merchant response. | null |
merchant.operating_ address.address_line | null — Returned in the saved merchant response. | null |
merchant.operating_ address.city | null — Returned in the saved merchant response. | null |
merchant.operating_ address.state | null — Returned in the saved merchant response. | null |
merchant.operating_ address.pincode | null — Returned in the saved merchant response. | null |
merchant.registration_ address.address_line | null — Returned in the saved merchant response. | null |
merchant.registration_ address.city | null — Returned in the saved merchant response. | null |
merchant.registration_ address.state | null — Returned in the saved merchant response. | null |
merchant.registration_ address.pincode | null — Returned in the saved merchant response. | null |
merchant.business_ entity | string — Returned in the saved merchant response. | "Individual" |
merchant.status | string — Returned in the saved merchant response. | "account_created" |
merchant.partner_ source | string — Returned in the saved merchant response. | "Create Merchant API" |
merchant.pan_ verification_status | string — Returned in the saved merchant response. | "Pending" |
merchant.website_ approval_status | null — Returned in the saved merchant response. | null |
merchant.notification_ email | string — Returned in the saved merchant response. | "[email protected]" |
merchant.settlement_status | null — Returned in the saved merchant response. | null |
merchant.is_service_ agreement_accepted | boolean — Returned in the saved merchant response. | false |
merchant.is_authorisation_ letter_required | boolean — Returned in the saved merchant response. | false |
merchant.monthly_ expected_volume | null — Returned in the saved merchant response. | null |
merchant.business_ category | null — Returned in the saved merchant response. | null |
merchant.business_ sub_category | null — Returned in the saved merchant response. | null |
merchant.bank_ verification_status | null — Returned in the saved merchant response. | null |
merchant.uuid | string — Merchant UUID (uuid). | "11f1- 1655-ff305e86- ae3d- 02f4a48620c1" |
merchant.penny_ deposit_status | null — Returned in the saved merchant response. | null |
merchant.document_ status | string — Returned in the saved merchant response. | "Pending" |
merchant.kyc_ status.status | string — Returned in the saved merchant response. | "LOCKED" |
merchant.kyc_ status.kyc_ status | string — Returned in the saved merchant response. | "LOCKED" |
merchant.kyc_ status.ckyc_ status | string — Returned in the saved merchant response. | "PENDING" |
merchant.agreement_ status | string — Returned in the saved merchant response. | "Not Generated" |
merchant.integration_ type | string — Returned in the saved merchant response. | "Not Selected" |
merchant.cin_number | null — Returned in the saved merchant response. | null |
merchant.vkyc_ exempt_status | null — Returned in the saved merchant response. | null |
merchant.lob_ status_prerisk | null — Returned in the saved merchant response. | null |
merchant.dob | null — Returned in the saved merchant response. | null |
merchant.vkyc_status | string — Returned in the saved merchant response. | "pending" |
merchant.vkyc.status | string — Returned in the saved merchant response. | "pending" |
merchant.vkyc. completed_at | null — Returned in the saved merchant response. | null |
merchant.vkyc. kyc_type | string — Returned in the saved merchant response. | "video_kyc" |
merchant.vkyc. capture_link | null — Returned in the saved merchant response. | null |
merchant.vkyc. expires_at | null — Returned in the saved merchant response. | null |
merchant.vkyc. link_created_at | null — Returned in the saved merchant response. | null |
merchant.vkyc. consent_given | null — Returned in the saved merchant response. | null |
merchant.skip_ vkyc_eligible | boolean — Returned in the saved merchant response. | false |
merchant.ckyc_ skipped | boolean — Returned in the saved merchant response. | false |
merchant.cpv_status | null — Returned in the saved merchant response. | null |
merchant.digilocker_ status | null — Returned in the saved merchant response. | null |
merchant.ckyc_ status | null — Returned in the saved merchant response. | null |
merchant.service_ intent | string — Returned in the saved merchant response. | "default" |
Additional Request parameters description
Header parameters
Header parameters
| Header | Description | Example |
|---|---|---|
Authorizationmandatory | string — Bearer token from Step 00 (GetToken) | Bearer {{access_token}} |
Content-Typemandatory | multipart/form-data — request body encoding used by the Postman form-data request | multipart/form-data |
Body parameters
Body parameters
| Parameter | Description | Example |
|---|---|---|
merchant[display_name]mandatory | string — Business or display name | Test Merchant |
merchant[email]mandatory | string — Merchant email | [email protected] |
merchant[mobile]mandatory | string — 10-digit Indian mobile number | 9876543210 |
merchant[product]mandatory | string — PayU product type; must be PayUbiz | PayUbiz |
merchant[business_details][business_entity_type]mandatory | string — Business entity type | Private Limited |
| merchant[onboarding_type] | string —Post the value as "online" for online merchants. For offline or merchants using QR, post "offline" | online |
| merchant[pos_merchant] | boolean —Post the values as "true" if you select the values as "offline: for the "merchant[onboarding_type]" propeery. | false |
| merchant[latitude] | Merchant geographical latitude co-ordinate. | 19.076090 |
| merchant[longitude] | Merchant geographical longitude co-ordinate. | 72.877426 |
Business entity type master list
| Business entity type | Value to be passed in the API |
|---|---|
| Individual | Individual |
| Sole Proprietorship | Sole Proprietorship |
| Partnership | Partnership |
| LLP | LLP |
| Private Limited | Private Limited |
| Public Limited | Public Limited |
| Trust | Trust |
| Society | Society |
| Government | Government |
| NGO | NGO |
| One Person Company | One Person Company |
| Hindu Undivided Family (HUF) | Hindu Undivided Family |
| Local Authority | Local Authority |
| Artificial Juridical Person | Artificial Juridical Person |
Request Parameters
400Bad Request
401Unauthorized - Invalid or expired token
403Forbidden - No access to this resource
404Not Found
422Validation Failed
500Internal Server Error
